## cfingerd 1.2.2-5

=== src/Makefile ===
# CFINGERD 1.1.1 by Ken Hollis
# Reprogram started 07/13/95
#
# Released under the GPL

CC= gcc
CFLAGS= -O2 -Wall
LINK_FLAGS= main.o options.o version.o util.o errors.o strmcpy.o \
	    parse.o configure.o internal.o signal.o standard.o \
	    userlist.o fakeuser.o search.o getutent.o \
	    rfc1413.o wildmat.o log.o

cfingerd:	$(LINK_FLAGS)
		$(CC) -o $@ $^
		strip cfingerd

clean:
		rm -f *.o cfingerd
		rm -f config.h

=== userlist/Makefile ===
# Makefile for the custom userlisting display
# version 1.00 by Ken Hollis
#
# Part of the CFINGERD distribution
# Released under the GPL for public/private use

CC= gcc
CFLAGS= -O2 -Wall
LINK_FLAGS= main.o initialize.o display.o options.o idle.o

userlist:	$(LINK_FLAGS)
		$(CC) -o $@ $^
		strip userlist

clean:
		rm -f *.o userlist
		rm -f config.h

install:	userlist
		chmod 700 userlist
		chown root.root userlist
		chmod +s userlist
		cp -f userlist /bin/userlist
		cp -f userlist.1 /usr/man/man1

## cfingerd 1.3.2

=== Makefile ===
# Makefile for a totally clean installation

all:
	@echo
	@echo "You need to type \"Configure\"."
	@echo
	@echo "Suggested reading:"
	@echo "  FAQ       - Gives some helpful information about CFINGERD"
	@echo "  README    - Gives information on how to install CFINGERD"
	@echo "  RECOMMEND - Gives suggestions on what to do after CFINGERD is installed"
	@echo

=== docs/Makefile ===
# CFINGERD Documentation Installation
# by Ken Hollis

install:
		cp cfingerd.5 /usr/man/man5
		cp cfingerd.conf.5 /usr/man/man5
		cp cfingerd.text.5 /usr/man/man5

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Released under the GPL
 
 CC= gcc
-CFLAGS= -O2 -Wall
+CFLAGS= -g -O2 -Wall -m486
 LINK_FLAGS= main.o options.o version.o util.o errors.o strmcpy.o \
 	    parse.o configure.o internal.o signal.o standard.o \
 	    userlist.o fakeuser.o search.o getutent.o \
@@ -12,7 +12,7 @@
 
 cfingerd:	$(LINK_FLAGS)
 		$(CC) -o $@ $^
-		strip cfingerd
+#		strip cfingerd
 
 clean:
 		rm -f *.o cfingerd

=== userlist/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Released under the GPL for public/private use
 
 CC= gcc
-CFLAGS= -O2 -Wall
+CFLAGS= -O2 -m486 -Wall
 LINK_FLAGS= main.o initialize.o display.o options.o idle.o
 
 userlist:	$(LINK_FLAGS)
@@ -17,7 +17,7 @@
 		rm -f config.h
 
 install:	userlist
-		chmod 700 userlist
+		chmod 755 userlist
 		chown root.root userlist
 		chmod +s userlist
 		cp -f userlist /bin/userlist

## cfingerd 1.4.1

=== userlist/Makefile ===
# Makefile for the custom userlisting display
#
# Part of the CFINGERD distribution
# Released under the GPL.

include ../Makefile.cfg

OBJS = main.o initialize.o display.o options.o idle.o

userlist:	$(OBJS)
		$(CC) -o $@ $^

clean:
		rm -f *.o userlist

install:	userlist
		install -m 755 -o $(BIN_OWNER) -g $(BIN_GROUP) -s userlist /usr/sbin/userlist
		install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) userlist.1 $(MANDIR)/man1

## cfingerd 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for a totally clean installation
 
-all:
+all clean:
 	@echo
 	@echo "You need to type \"Configure\"."
 	@echo

=== docs/Makefile ===
# CFINGERD Documentation Installation
# by Ken Hollis, Martin Schulze

include ../Makefile.cfg

install:
	install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) cfingerd.8 $(MANDIR)/man8
	install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) cfingerd.conf.5 $(MANDIR)/man5
	install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) cfingerd.text.5 $(MANDIR)/man5

=== src/Makefile ===
# CFINGERD by Ken Hollis
#
# Released under the GPL

include ../Makefile.cfg

OBJS = main.o options.o version.o util.o errors.o strmcpy.o \
    parse.o configure.o internal.o signal.o standard.o \
    userlist.o fakeuser.o search.o getutent.o rfc1413.o \
    wildmat.o log.o

cfingerd:	$(OBJS)
		$(CC) -o $@ $^ $(LDFLAGS)

install:	cfingerd
		install -m 755 -o $(BIN_OWNER) -g $(BIN_GROUP) -s cfingerd /usr/sbin/cfingerd

clean:
		rm -f *.o cfingerd
		rm -f config.h

=== userlist/Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 
 include ../Makefile.cfg
 
-OBJS = main.o initialize.o display.o options.o idle.o
+OBJS = main.o initialize.o display.o options.o idle.o ../src/getutent.o
 
 userlist:	$(OBJS)
 		$(CC) -o $@ $^
 
 clean:
 		rm -f *.o userlist
+		rm -f config.h
 
 install:	userlist
 		install -m 755 -o $(BIN_OWNER) -g $(BIN_GROUP) -s userlist /usr/sbin/userlist

=== debian/changelog ===
cfingerd (1.4.3-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999167)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Aug 2022 00:32:24 +0300

cfingerd (1.4.3-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + cfingerd: Drop versioned constraint on netbase in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:20:26 +0100

cfingerd (1.4.3-5) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible (Closes: #831021)
    - Update upstream's Configure script to not embed the build time.
    - Avoid timestamped gzip files in binary packages.
  * Call dh_auto_build over $(MAKE) to pass cross-building tools to upstream
    build system. Thanks, Helmut Grohne. (Closes: #956826)
  * Unapply patches in debian/patches from main source tree.
  * debian/rules:
    - Set Rules-Requires-Root to "binary-targets".
    - Correct location of Homepage field.
    - Move Homepage field to HTTPS.
    - Drop unnecessary "source", "version" and "revision" assignments in
      debian/rules.
    - Drop outdated "source diff", "dsc" and "dist" targets.
  * Fix the syntax in a large number of debian/changelog entries.

 -- Chris Lamb <lamby@debian.org>  Wed, 23 Sep 2020 12:12:44 +0100

cfingerd (1.4.3-4) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957081)
  * Mark source format as 3.0
    - Import old diff in quilt format.
  * Orphan the package. (See: #934415)
  * Update Standards-Version to 4.5.0
    - Update priority to optional.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Add salsa as Vcs.
  * Remove whitespace from d/changelog and d/rules.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jul 2020 23:18:14 +0100

cfingerd (1.4.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to lack of "." in Perl's @INC. (Closes: #837267)

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Sep 2016 17:37:58 +0200

cfingerd (1.4.3-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * [SECURITY] CVE-2013-1049: fix buffer overflow in rfc1413 (ident) client.
    Thanks to Malcolm Scott <debianpkg@malc.org.uk> and Marc Deslauriers
    <marc.deslauriers@ubuntu.com> (Closes: #700098) (LP: #1104425)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Feb 2013 18:38:28 +0100

cfingerd (1.4.3-3) unstable; urgency=low

  * Approve NMU
  * Applied IPv6 patch from Mats Erik Andersson
    <mats.andersson@gisladisker.se> (closes: Bug#570024)

 -- Joey Schulze <joey@infodrom.org>  Sat, 19 Jun 2010 22:03:31 +0200

cfingerd (1.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Depends on update-inetd for DebianNet Perl module used in postinst.
    (Closes: #502741)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Oct 2008 00:10:05 +0100

cfingerd (1.4.3-2) unstable; urgency=low

  * Partially imported NMU
  * Updated URLs in copyright file
  * Removed /usr/doc support code from postinst since the transition is
    completed
  * Updated debian/rules
  * Converted changelog to UTF-8 (closes: Bug#453963)
  * Applied patch by Cyril Brulebois to make GNU/kFreeBSD and GNU/Hurd act
    as GNU/Linux (closes: Bug#414308)
  * Remove deprecated tail syntax (closes: Bug#381119)
  * Fixed problem with removing double characters in search strings
    (closes: Bug#66440)
  * Adjusted addresses in Debian files (closes: Bug#380219)

 -- Martin Schulze <joey@infodrom.org>  Mon, 25 Feb 2008 10:43:57 +0100

cfingerd (1.4.3-1.2) unstable; urgency=low

  * Non-maintainer upload (RC bug more than 2 years old).
  * debian/rules:
    + Removed the {foo,bar} shell wildcard bashisms.
    + Call dpkg-gencontrol with -isp so that the binary package has a control
      and a priority field.
  * debian/control:
    + Set policy to 3.5.10.
  * Replaced malloc()/sprintf() calls with strdup().
  * Replaced log() with mylog() because log is a built-in gcc-3.x function.
  * Replaced a snprintf() with sprintf() in util.c to fix a security issue
    that could cause information leakage (Closes: #76918).
  * In idle.c and standard.c, do not display the idle time if stat() on the
    TTY device failed.
  * In idle.c and standard.c, if the TTY device's timestamp is 0, do not
    display the idle time (Closes: #64359).
  * In idle.c and standard.c, if TTY modification time is more recent
    than access time, use access time to make idle reports more meaningful
    (Closes: #86138).
  * Applied a patch from Amir Shamsuddin for standard.c to retrieve proper
    privileges before looking for files in the user's home (Closes: #64915).
  * Fixed the display_file argument in standard.c so that ~/.XFace is
    properly displayed (Closes: #126984, #117255).
  * In display.c, use 8 characters from user names instead of 7, so that we
    can fetch the data from the passwd entry (Closes: #74672, #73041).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 20 Jun 2003 15:39:25 +0200

cfingerd (1.4.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply relevant portions of the security fix applied to stable for
    DSA-066 (Closes: #104394)
  * Tidy up extended description, and remove claims about security

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Aug 2001 15:51:06 -0400

cfingerd (1.4.3-1) unstable; urgency=high

  * New upstream source
  * Fixes some buffer overflows introduced by sscanf()
  * Fixes some nice format string issues and a nice off-by-one error
    (closes: Bug#93930)
  * Corrected source URL
  * Corrected path to GPL
  * Added /usr/doc -> /usr/share/doc snippets to postinst and prerm
  * Moved manpages to /usr/share/man (closes: Bug#91128)
  * And other cruft as well (closes: Bug#91431)
  * Bumped Standards-Version to 3.5.2.0, Thanks to Bas Zoetekouw
    <bas@debian.org> (closes: Bug#93121)
  * Corrected RFC number (closes: Bug#48418)
  * Added support for removing /etc/cfingerd (closes: Bug#75292)


=== debian/control ===
Source: cfingerd
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/cfingerd.git
Vcs-Browser: https://salsa.debian.org/debian/cfingerd
Rules-Requires-Root: binary-targets
Homepage: https://www.infodrom.org/projects/cfingerd/

Package: cfingerd
Architecture: any
Provides: finger-server
Conflicts: finger-server
Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd, netbase
Description: configurable finger daemon
 This is a free replacement for standard finger daemons such as GNU
 fingerd and MIT fingerd.  Cfingerd can enable/disable finger services
 to individual users, rather than to all users on a given host.  It is
 able to respond to a finger request to a specified user by running a
 shell script (e.g., finger doorbell@mysite.mydomain might cause a
 sound file to be sent) rather than just a plain text file.

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright (c) 1994-99 by joey@infodrom.org (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.

SHELL=/bin/bash

# The name and version of the source
#
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS = -g -O2 -Wall
else
CFLAGS = -O2 -Wall
endif

build:
	-test -f Makefile.cfg || ./Configure -c config=/etc/cfingerd/cfingerd.conf \
		-c mandir=/usr/share/man -c man_owner=root -c man_group=root \
		-c cflags="$(CFLAGS)"
	dh_auto_build -- all
	touch stamp-build

clean: debclean
	rm -f stamp-build
	$(MAKE) clean
	rm -rf *~

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	-test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chmod -R g-ws debian/tmp
	$(installbin) debian/{preinst,postinst,prerm,postrm} debian/tmp/DEBIAN/
	$(installdoc) debian/conffiles debian/tmp/DEBIAN/
	#
	$(installbin) -d debian/tmp/usr/share/doc/$(package)
	$(installdoc) debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
	$(installdoc) debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	$(installdoc) CREDITS FAQ RECOMMEND TODO debian/tmp/usr/share/doc/$(package)
	$(installdoc) CHANGES debian/tmp/usr/share/doc/$(package)/changelog
	$(installdoc) README debian/tmp/usr/share/doc/$(package)/readme
	gzip -9nf debian/tmp/usr/share/doc/$(package)/{changelog.Debian,changelog}
	gzip -9nf debian/tmp/usr/share/doc/$(package)/{readme,CREDITS,FAQ,RECOMMEND,TODO}
	#
	$(installbin) -d debian/tmp/usr/sbin
	$(installbin) $(STRIP) src/cfingerd debian/tmp/usr/sbin
	$(installbin) $(STRIP) userlist/userlist debian/tmp/usr/sbin
	#
	$(installbin) -d debian/tmp/usr/share/man/man{5,8}
	cd docs && $(MAKE) MANDIR=../debian/tmp/usr/share/man install
	$(installdoc) userlist/userlist.1 debian/tmp/usr/share/man/man8/userlist.8
	gzip -9n debian/tmp/usr/share/man/man?/*
	#
	$(installbin) -d debian/tmp/etc/cfingerd{,/scripts}
	$(installdoc) debian/{top_finger,bottom_finger}.txt debian/tmp/etc/cfingerd
	$(installdoc) debian/{noname,nouser,rejected}_banner.txt debian/tmp/etc/cfingerd
	$(installdoc) debian/cfingerd.conf debian/tmp/etc/cfingerd
	$(installbin) -d debian/tmp/etc/cron.weekly
	$(installbin) debian/cron debian/tmp/etc/cron.weekly/cfingerd
	$(installbin) -d debian/tmp/var/log
	#
#	$(installbin) -d debian/tmp/usr/doc/$(package)/scripts
#	$(installdoc) debian/{ping,uptime} debian/tmp/usr/doc/$(package)/scripts
#	$(installdoc) scripts/trace debian/tmp/usr/doc/$(package)/scripts
	$(installbin) -d debian/tmp/usr/share/doc/$(package)/examples
	$(installdoc) debian/{ping,uptime} debian/tmp/usr/share/doc/$(package)/examples
	$(installdoc) scripts/trace debian/tmp/usr/share/doc/$(package)/examples
	$(installdoc) debian/cfingerd.xinetd debian/tmp/usr/share/doc/$(package)/examples
	#
	dh_strip --tmpdir=debian/tmp
	dh_md5sums --tmpdir=debian/tmp
	dpkg-shlibdeps debian/tmp/usr/sbin/{cfingerd,userlist}
	dpkg-gencontrol -isp
	chmod -R og=rX debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch
build-arch: build
build-indep: build

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot build-arch build-indep
